#!/bin/sh
# $Id: setuserinfo.sh,v 1.3 2013/04/23 23:35:17 sato Exp $
# $Name: SLINSVMCOVM-1_3_0-0 $

if [ $# -ne 3 ] ; then
    exit 2
fi

SSH_OPT1="StrictHostKeyChecking no"
SSH_OPT2="NumberOfPasswordPrompts 1"
ESXI_PROMPT="#"
PW_PROMPT="word:"

rm -f /var/fujitsu/SVmco/work/cmd/vmkernel.log

expect -c "
set timeout 5
spawn scp -o \"$SSH_OPT1\" -o \"$SSH_OPT2\" $2@$1:/var/log/vmkernel.log /var/fujitsu/SVmco/work/cmd/vmkernel.log
expect $PW_PROMPT ; send \"$3\r\"
expect $ESXI_PROMPT
"
if [ ! -f /var/fujitsu/SVmco/work/cmd/vmkernel.log ] ; then
    exit 2
fi

exit 0
